none
Cannot Install .NET 4.0 on windows 7-64bit RRS feed

  • Question

  • Hi all.

    I have trouble installing it. I succesfully installed the first time. I was able to build app under it. Then i got error from IIS, he was trelling me i dont have version 4.0. At the end i decided to disintall it completely and installit again. I disintalled extended first and then client. Then i downlkoaded the standalone setup named "dotNetFx40_Full_x86_x64". I run this one as an administrator. It is filling the directory for x86 and 64bit, i am checking "mscorlib.dll" present in both directories and they tell me the version is 4.0.

    So everything looks fine.

    Then i run VS2010 and start loading a previous app under 4.0. Well it tells me that: "The C# project xxx is targeting ".NETFramework, Version=v4.0", which is not installed on this machine" and that i have to download it and gives me the download sites.

    I did all these steps several times and i come always to this point.

    What is wrong ? Anybody can help me ?

    thanks in advance

    Giorgio

    Tuesday, April 5, 2011 3:13 PM

Answers

All replies